<?php

    //Requer a classe de conexo com o Banco e Dados.
    require_once('../util/clsMySqlConnector.php');

    //Inicia a sesso.
    session_start();

    //O login recebido como entrada.
    $login = $_POST['Login'];

    //A senha recebida como entrada.
    $senha = $_POST['Senha'];

    //Os papis do usurio no sistema.
    $role  = "";

    //A conexo com o Banco de Dados.
    $db = &new MySqlConnector();
    //Inicia conexo com o Banco de Dados.
    $db->connect();

    //Consulta se o usurio existe e  Aluno ativo.
    $rs = $db->executeQuery("select u.Login, u.Senha, u.Ativo " .
                            "from   Usuario u, Aluno a "        .
                            "where  u.Login = '$login'  and "   .
                            "       u.Login = a.Login and "     .
                            "       u.Ativo = '1'");

    //Caso seja...
    if ( $rs->next() ) {

        //Adiciona o papel de aluno.
        $role = $role . "A";

    } //if

    //Consulta se o usurio existe e  Professor.
    $rs = $db->executeQuery("select u.Login, u.Senha, u.Ativo " .
                            "from   Usuario u, Professor p "    .
                            "where  u.Login = '$login'  and "   .
                            "       u.Login = p.Login and "     .
                            "       u.Ativo = '1'");
    //Caso seja...
    if ( $rs->next() ) {

        //Adiciona o papel de professor.
        $role = $role . "P";

    } //if

    //Consulta se o usurio existe e  Coordenador.
    $rs = $db->executeQuery("select u.Login, u.Senha, u.Ativo " .
                            "from   Usuario u, Coordenador c "  .
                            "where  u.Login = '$login'  and "   .
                            "       u.Login = c.Login and "     .
                            "       u.Ativo = '1'");
    //Caso seja...
    if ( $rs->next() ) {

        //Adiciona o papel de Coordenador.
        $role = $role . "C";

    } //if

    //Se o usurio possui algum papel no sistema...
    if ( $role != "" ) {

        $session_login = $login;
        $session_senha = $senha;
        $session_role  = $role;

        //Registra o login, senha e papel do usurio como variveis de sesso.
        session_register( 'session_login' );
        session_register( 'session_senha' );
        session_register( 'session_role' );
        header('Location: ../gui/index.php');

    //Caso contrrio, usurio inexistente...
    } else {

        //Ajusta mensagem de erro e redireciona para pgina de erro.
        $session_error = "Erro ao efetuar login. Verifique os dados.";
        session_register( 'session_error' );
        header('Location: ../gui/error/loginerror.php');

    } //else
?>